Subject: Re: [X2Go-Dev] Bug#1553: x2goserver error: unknown operating system

From: Henrik Schmidt <[email-masked]>
Date: Mon, 2 Aug 2021 08:25:45 +0200

Hi Mike,

I think https://en.opensuse.org/SDB:Find_openSUSE_version is the way to 
go to check for SUSE releases.

Regards,
Henrik

> Hi Henrik,
>
> On  Fr 02 Jul 2021 09:44:36 CEST, Henrik Schmidt wrote:
>
>> Package: x2goserver
>> Version: 4.1.0.4
>>
>> When starting a x2go session with the server running Opensuse 
>> Tumbleweed OS I expect to get a session.
>>
>> What I get is the error message:|"Unknown operating system, XSession 
>> startup not implemented!" I looked at the x2goserver source code and 
>> it checked for ||[ -f /etc/SUSE-brand ] || [ -f /etc/SuSE-release ] 
>> which both are absent. I did a 'touch ||/etc/SuSE-release|' on the 
>> server and x2go started working again.
>>
>> So there should be a better detection for Opensuse Tumbleweed.
>>
>> Client:
>> Windows 10
>> X2GoClient 4.1.2.2
>> Session: xfce or kde, it doesn't matter
>> Server: OpenSuse Tumbleweed 
>> x2goserver-4.1.0.4~git107+gc2182644-3.37.x86_64
>> x2goserver-xsession-4.1.0.4~git107+gc2182644-3.37.x86_64
>> nxagent-3.5.99.4~git2184+gd20cb44e8-1.6.x86_64
>>
>>
>> 1.
>>
>>
>>
>>  ||||
>
> I have been playing with SUSE (SLES) recently, as well. But not 
> related to X2Go. On your Tumbleweed instance, is there a proper way to 
> identify that it is a SUSE system?
>
> Also, please make sure to be subscribed to [1] when posting to the 
> X2Go bug tracker. Your BTS mails won't make it to the x2go-dev list 
> and thus stay unseen.
>
> Greetings,
> Mike
>
> [1] https://lists.x2go.org/listinfo/x2go-dev
>
>